Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

When I run brew doctor I'm told that my brew installation is outdated. Specifically:

~$ brew doctor
Error: Your Homebrew is outdated
You haven't updated for at least 24 hours, this is a long time in brewland!

But when I run update, apparently, all is fine:

~$: brew update
Already up-to-date.

So, I guess all is good? Not so much. brew doctor still tells me my Homebrew is outdated. What gives?

share|improve this question
add comment

1 Answer

up vote 1 down vote accepted

All is good. It's just a bad way of communicating it.

The Homebrew doctor source clearly only checks for the timestamp of your Homebrew repository clone:

if Time.now.to_i - timestamp > 60 * 60 * 24 then <<-EOS.undent
  Your Homebrew is outdated
  You haven't updated for at least 24 hours, this is a long time in brewland!
  EOS
end

It doesn't have any clue about when you really updated or whether there's even a new version available.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.